﻿using System;

namespace TestProject
{
    /// <summary>
    /// 항목 카운트 이벤트 인자
    /// </summary>
    public class ItemCountEventArgs : EventArgs
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 뷰
        /// </summary>
        private DataGridCollectionView view;

        /// <summary>
        /// 카운트
        /// </summary>
        private int count = 0;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 카운트 - Count

        /// <summary>
        /// 카운트
        /// </summary>
        public int Count
        {
            get => this.count;
            set => this.count = value;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - ItemCountEventArgs(view)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="view">데이터 그리드 컬렉션 뷰</param>
        public ItemCountEventArgs(DataGridCollectionView view)
        {
            this.view = view;
        }

        #endregion
    }
}